LOCK_MAY_WRITE(9)

NAME
lock_may_write - checks that the region is free of locks

SYNOPSIS

int lock_may_write (struct inode * inode, loff_t start, unsigned long len);

ARGUMENTS

inode
    the inode that is being written

start
    the first byte to write

len the number of bytes to write

DESCRIPTION

Emulates Windows locking requirements. Whole-file mandatory locks (share modes) can prohibit a write and byte-range POSIX locks can prohibit a write if they overlap.

N.B. this function is only ever called from knfsd and ownership of locks is never checked.